Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## Enum OBERFLAECHE.FARBE

    java.lang.Object
      java.lang.Enum<OBERFLAECHE.FARBE>
          OBERFLAECHE.FARBE

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<OBERFLAECHE.FARBE>

Enclosing class:
  OBERFLAECHE

    static enum OBERFLAECHE.FARBE

extends java.lang.Enum<OBERFLAECHE.FARBE>

Vereinbart die für die Simulation nötigen Standardfarben.

Version:
  1.0
Author:
  Albert Wiedemann

Enum Constant Summary
`blau`
`cyan`
`gelb`
`grau`
`gruen`
`magenta`
`rot`
`schwarz`
`weiss`

Method Summary
`java.awt.Color` | `AWTFarbe()` Konvertiert die angegebene FARBE in ihr AWT-Pendant.
`static OBERFLAECHE.FARBE` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static OBERFLAECHE.FARBE[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.
`(package private) static OBERFLAECHE.FARBE` | `ZufallsFarbeErzeugen()` Erzeugt eine zufällige FARBE

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### blau

    public static final OBERFLAECHE.FARBE blau

### cyan

    public static final OBERFLAECHE.FARBE cyan

### gelb

    public static final OBERFLAECHE.FARBE gelb

### grau

    public static final OBERFLAECHE.FARBE grau

### gruen

    public static final OBERFLAECHE.FARBE gruen

### magenta

    public static final OBERFLAECHE.FARBE magenta

### rot

    public static final OBERFLAECHE.FARBE rot

### schwarz

    public static final OBERFLAECHE.FARBE schwarz

### weiss

    public static final OBERFLAECHE.FARBE weiss

Method Detail

### AWTFarbe

    public java.awt.Color AWTFarbe()

  Konvertiert die angegebene FARBE in ihr AWT-Pendant.

  Returns:
    die entsprechende AWT-FARBE

### valueOf

    public static OBERFLAECHE.FARBE valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### values

    public static final OBERFLAECHE.FARBE[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(OBERFLAECHE.FARBE c : OBERFLAECHE.FARBE.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### ZufallsFarbeErzeugen

    static OBERFLAECHE.FARBE ZufallsFarbeErzeugen()

  Erzeugt eine zufällige FARBE

  Returns:
    die erzeugte FARBE

Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD